Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. PaymentReservations
  • Actions
    • POST (create) an action
      POST
    • POST (create) a reports action/generate a report
      POST
  • ArItems
    • GET a list of AR items
      GET
    • PUT (update) ar item details
      PUT
    • GET one AR item
      GET
  • AutoPostings
    • POST (create) one or more auto postings
      POST
  • Batches
    • GET one batch
      GET
  • ClientConfigs
    • GET a list of client config values
      GET
    • GET values for one client config key
      GET
  • Codes
    • GET ARM system code values
      GET
  • Customers
    • POST (create) one customer
      POST
    • PUT (update) one customer
      PUT
    • GET a list of customers
      GET
    • GET one customer
      GET
    • DELETE a customer
      DELETE
    • POST (create) a batch of customers
      POST
    • PUT (update) a batch of customers
      PUT
  • DocumentBundles
    • GET a list of document bundles
      GET
    • GET one document bundle
      GET
  • Documents
    • POST (create) one document
      POST
    • GET a list of documents
      GET
    • GET one document
      GET
    • POST (create) a batch of documents
      POST
  • Files
    • GET one or more OS files
    • POST (upload) one or more OS files
    • GET one OS file
  • GlItems
    • Get one GL item
    • GET a list of GL items
  • GlMovements
    • Get movement/balance for the latest closed GL year/period
    • GET a list of GL movements/balances
  • Insights
    • GET a list of ADB intervals
  • LogItems
    • GET one log item
    • GET a list of log items
  • PaymentReservations
    • POST (create) a new payment reservation
      POST
  • Health
    • Check API health
  1. PaymentReservations

POST (create) a new payment reservation

POST
/clients/{clientno}/paymentreservations
Creates a new payment reservation connected to an existing document's AR item or to an existing customer. There are alternative ways to identify this document or customer, you must fulfill at least one of them.
Ways to identify a document:
arItemId (The AR item ID of the document's AR posting)
documentNo
documentUuid
referenceNo
kid (document KID)
Ways to identify a customer:
accountNo (AR account number)
customerNo
kid (customer KID)
The payment reservation must also have a unique paymentId to identify the transaction for later settlement/posting to GL/AR. (The settlement data must contain a reference to the same paymentId.)
The paid amount (currencyAmountPaid) must be a positive amount.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK. The request succeeded
Body

🟢201
🟠422
🟠400BadRequest
🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/clients//paymentreservations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "metadata": {
        "userId": "TestUser"
    },
    "paymentreservation": {
        "arItemId": "2218-500002-35078-0",
        "paymentId": "PM285000350786",
        "currency": "NOK",
        "currencyAmountPaid": 120.5,
        "transactionText": "Prepaid membership fee",
        "paidTime": "2025-04-27T06:08:37.227Z",
        "unstructuredData": [
            {
                "name": "SalesRep",
                "value": "John Doe"
            }
        ]
    }
}'
Response Response Example
200 - Payment reservation validated
{
    "status": "PROCESSED",
    "result": "VALIDATED",
    "message": "Payment reservation validated",
    "clientNo": 2218,
    "accountNo": 500002,
    "customerNo": "543210"
}
Modified at 2026-04-14 09:49:15
Previous
GET a list of log items
Next
Check API health
Built with